openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pedro Giffuni <...@apache.org>
Subject Re: Update to python-2.17
Date Fri, 10 Jan 2020 06:14:22 GMT
Hi again;

On 2020-01-04 05:16, Matthias Seidel wrote:
> Hi Pedro,
>
> Thanks!
>
> Unfortunately the build process just stops at some point (on Windows),
> no error codes I could give you.

The problems are usually related to getting the patches applied
correctly. There can be no hunks or mismatches.

I tested them one by one and they should be OK now. Same place:

https://people.apache.org/~pfg/patches/patch-python-2.17.diff

> According to https://www.python.org/downloads/release/python-2717/ this
> is the "penultimate" release, so maybe there will be a final 2.7.18?

Yes, there will be a final release in a couple of months, but most linux
distributions (and FreeBSD) are already deprecating py27 and anything
that depends on it.

Thanks for your patience!

Pedro.

> Regards,
>
>    Matthias
>
> Am 04.01.20 um 02:41 schrieb Pedro Giffuni:
>> Hi Matthias;
>>
>> Sorry about that. I could've tested better the patch. I will fix the
>> obvious issues and will let you guys know.
>>
>>
>> Pedro.
>>
>> ps. It may take me a while though, I am getting busy very fast :(
>>
>> On 2020-01-01 21:30, Pedro Giffuni wrote:
>>> Hello AOO devs and best wishes for the New Year!
>>>
>>> Well ... time has passed and Python 2 is now deprecated!
>>>
>>> I have a patch here to update AOO 4.2's version of Python to the latest
>>> (perhaps last) release in that line:
>>>
>>> http://people.apache.org/~pfg/patches/patch-python-2.17.diff
>>>
>>> This is a remake of the previous update that I had made for
>>> cpython-2.16, but which no one tested ! I currently lack an AOO setup
>>> with git so please someone else will have to test and commit.
>>>
>>> On the near term, we really should update to Python 3, but that will be
>>> challenging for the build system since it requires a newer version of
>>> the MS compiler.
>>>
>>> Building with an external python is also currently broken for python
>>> versions >= 3.6.
>>>
>>> Regards,
>>>
>>> Pedro.
>>>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message